Plugin Compatibility Issue

I am having trouble with this plugin and Multi-DB.

http://wordpress.org/extend/plugins/search-and-replace/

Any chance someone can take a peek and see if there is anything I can do to make it work?

It is largely a business requirement that I get this plugin working and I need to recommend a solution to the plugin developer, unless it's on the side of Multi-DB.

Please let me know what else may be needed.

-Drew